#ifndef OLOK
    #define OLOK
    #include <vector>
    #include "qwixx.h"
    #include <string>
    struct RowColor
    {
        bool direction;
        std::string name;
        int color;
        int xCount;
        int lastIndex;
        std::vector<bool> row;
        std::vector<int> number;
    };
    class Olok
    {
        public:
        std::vector<RowColor> grid;
        Olok();
        void clear();
        int penaltyCount;
        int getXCount(int color);
        void addX(struct Move move);
        int getLastIndex(int color);
        void addOlok(Olok o);
        std::string toString(void);
        boolean isColor(int color);
    };
#endif